import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { OtpVerifierEntity } from '../../domain/entities/otp-verification.entity';
import { Column, Entity } from 'typeorm';
import { BaseModel } from 'src/core/modules/data/model/base.model';

@Entity(TABLE_NAME.OTP_VERIFIER)
export class OtpVerifierModel
  extends BaseModel<OtpVerifierEntity>
  implements OtpVerifierEntity
{
  @Column({ type: 'varchar', nullable: true })
  name: string;

  @Column({ type: 'varchar', nullable: false })
  phone_number: string;
}
