import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class OtpVerifyDto {
  @ApiProperty({
    name: 'otp_code',
    type: String,
    required: true,
    example: '2345',
  })
  @IsString()
  @IsNotEmpty()
  otp_code: string;
}
